Bug 1302864 - include the updates-dialog shell extension
Summary: include the updates-dialog shell extension
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell-extensions   
(Show other bugs)
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Florian Müllner
QA Contact: Desktop QE
Lucie Maňásková
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1203710 1297830 1313485
TreeView+ depends on / blocked
 
Reported: 2016-01-28 19:55 UTC by Matthias Clasen
Modified: 2016-11-04 01:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Important security updates now installed automatically Previously, it was not possible to have security updates installed automatically. Even though GNOME notified the users about the available updates, they could choose to ignore the notification and not install the update. As a consequence, important updates could be left uninstalled. A gnome-shell extension is now available to enforce the installation of important updates. As a result, when new updates are available, a dialog window notifies the user that updates will be applied and they need to save their work. After a configurable amount of time, the system reboots to install the pending updates.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-04 01:42:32 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gnome-shell-extensions.pot (9.93 KB, text/plain)
2016-04-12 16:04 UTC, Matthias Clasen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2258 normal SHIPPED_LIVE gnome-shell, gnome-shell-extensions, and gtk3 bug fix and enhancement update 2016-11-03 13:32:13 UTC

Description Matthias Clasen 2016-01-28 19:55:33 UTC
https://extensions.gnome.org/extension/1023/updates-dialog/

This extension was written to address concerns around the user experience with security updates. We should provide it in the gnome-shell-extensions package to make it easily available.

Comment 1 Vladimir Benes 2016-01-29 08:34:09 UTC
please do include it as installed by default together with GNOME group

Comment 2 Florian Müllner 2016-01-29 12:23:15 UTC
We'll also need to make sure the extension is enabled by default.

Comment 3 Florian Müllner 2016-03-04 17:50:22 UTC
I've done a gnome-shell-extensions-3.14.4-15.el7 which adds the (untested) extension. We'll still need to make sure it's installed and enabled by default - following Fedora's background-logo-extension example, the component that depends on the extension could install a GSettings .override.

Comment 4 Matthias Clasen 2016-04-12 16:03:53 UTC
The new extension adds a few strings that need to be translated. I'm attaching an updated .pot file.

Comment 5 Matthias Clasen 2016-04-12 16:04 UTC
Created attachment 1146530 [details]
gnome-shell-extensions.pot

Comment 6 Matthias Clasen 2016-04-12 16:07:08 UTC
> We'll still need to make sure it's installed and enabled by default

I've discussed enabling by default with PM, and we've decided to just make the extension available for now, without installing or enabling it by default.

Comment 7 Florian Müllner 2016-04-14 12:01:58 UTC
(In reply to Matthias Clasen from comment #4)
> The new extension adds a few strings that need to be translated.

Those should already be handled by a future patch in bug 1304265.



(In reply to Matthias Clasen from comment #6)
> > We'll still need to make sure it's installed and enabled by default
> 
> I've discussed enabling by default with PM, and we've decided to just make
> the extension available for now, without installing or enabling it by
> default.

Great, then we should be covered as of gnome-shell-extensions-3.14.4-15.el7. Moving to MODIFIED.

Comment 12 Michael Boisvert 2016-09-06 19:11:17 UTC
Tested this extension by installing it through: https://extensions.gnome.org/extension/1023/updates-dialog/ and downgrading firefox. The dialog popped up after a restart and installed the updated firefox. 

Verified.

Comment 17 errata-xmlrpc 2016-11-04 01:42:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2258.html


Note You need to log in before you can comment on or make changes to this bug.